Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

HDP upgrade from 2.6.3 to 3.0.1

Solved Go to solution
Highlighted

HDP upgrade from 2.6.3 to 3.0.1

Explorer

Hello Everyone,

We are planning to upgrade our cluster from 2.6.3 to 3.0.1.

Can somebody suggest me what are the key areas and points to be considered before upgrade.

this is the 1st time I am working on upgrade so it would be really helpful if I get at least some basic things to be focused.

Many Thanks,

Manjunath P N

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: HDP upgrade from 2.6.3 to 3.0.1

Hi @Manjunath P N

HDP-3.0.1 uses ambari-2.7.x versions and you should be aware of ambari-2.7.x behavioural changes here :

https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade/content/bhvr_changes_upgr...

Additionally, from HDP-3.x versions support for RHEL/CentOS/OEL 6, SLES 11, and Debian 7 have been removed, you must upgrade your underlying operating system before upgrade if it falls in unsupported version . referring to :

https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade/content/upgrading_cluster...

Support for Some of ambari views has been removed in HDP-3.0.1 , referring to :

https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade/content/bhvr_changes_upgr...

Also HDP-3.x upgrade only supports Express upgrade(no rolling upgrade ) , so you might plan for stopping the HDP services while upgrade.

if you are using Hive , you must be in HDP-2.6.5 for smooth conversion of your hive tables .referring to :

	https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade-ppc/content/prepare_hive_...

Its always better to take Apache Ambari database backup, backup of your HDP services table and data before upgrade.

If its a production cluster feel free to contact hortonworks support for limited upgrade program, details here : https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade/content/ambari_upgrade_gu...

Refer to : https://supportmatrix.hortonworks.com for any compatability related clarifications

And its always helpfull to perform a upgrade in development enviornment before upgrade in your production cluster

Please login and accept this answer if you found this helpful.

View solution in original post

2 REPLIES 2
Highlighted

Re: HDP upgrade from 2.6.3 to 3.0.1

Hi @Manjunath P N

HDP-3.0.1 uses ambari-2.7.x versions and you should be aware of ambari-2.7.x behavioural changes here :

https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade/content/bhvr_changes_upgr...

Additionally, from HDP-3.x versions support for RHEL/CentOS/OEL 6, SLES 11, and Debian 7 have been removed, you must upgrade your underlying operating system before upgrade if it falls in unsupported version . referring to :

https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade/content/upgrading_cluster...

Support for Some of ambari views has been removed in HDP-3.0.1 , referring to :

https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade/content/bhvr_changes_upgr...

Also HDP-3.x upgrade only supports Express upgrade(no rolling upgrade ) , so you might plan for stopping the HDP services while upgrade.

if you are using Hive , you must be in HDP-2.6.5 for smooth conversion of your hive tables .referring to :

	https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade-ppc/content/prepare_hive_...

Its always better to take Apache Ambari database backup, backup of your HDP services table and data before upgrade.

If its a production cluster feel free to contact hortonworks support for limited upgrade program, details here : https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-upgrade/content/ambari_upgrade_gu...

Refer to : https://supportmatrix.hortonworks.com for any compatability related clarifications

And its always helpfull to perform a upgrade in development enviornment before upgrade in your production cluster

Please login and accept this answer if you found this helpful.

View solution in original post

Highlighted

Re: HDP upgrade from 2.6.3 to 3.0.1

Explorer

Thank you very much for the detailed suggestions.

I will keep you updated on the results, this is really useful.

Don't have an account?
Coming from Hortonworks? Activate your account here